Test::Int::Linear Namespace Reference

Tests for linear constraints More...

## Classes

class | IntInt
| Test linear relation over integer variables More...
class | IntVar
| Test linear relation over integer variables More...
class | BoolInt
| Test linear relation over Boolean variables equal to constant More...
class | BoolVar
| Test linear relation over Boolean variables equal to integer variable More...
class | Create
| Help class to create and register tests. More...

## Functions

bool | one (const Gecode::IntArgs &a)
| Check whether a has only one coefficients.

## Variables

Create | c

## Detailed Description

Tests for linear constraints

## Function Documentation

## one()

bool Test::Int::Linear::one | ( | const Gecode::IntArgs & | a | ) |

Check whether a has only one coefficients.

Definition at line 44 of file linear.cpp.

## Variable Documentation

## c

Create Test::Int::Linear::c

Definition at line 392 of file linear.cpp.